# $Revision: 1.47 $, $Date: 2004/07/08 06:54:13 $
Summary:	Utilities for the kernel ISDN-subsystem
Summary(pl):	Narzdzia dla podsystemu ISDN jdra
Summary(pt_BR):	Utilitrios para configurao do subsistema ISDN
Name:		isdn4k-utils
Version:	040111
Release:	4
Epoch:		2
License:	GPL v2
Group:		Applications/Communications
Source0:	http://rk.pop.e-wro.pl/%{name}-%{version}.tar.gz
# Source0-md5:	6955ecdcd7df5bc8fa2844fa9c45bbf6
Source1:	%{name}.config
Patch0:		%{name}-make.patch
Patch1:		%{name}-ppc.patch
Patch2:		%{name}-pppdcapiplugin.patch
Patch3:		%{name}-isdnlog_dont_touch_etc_services.patch
Patch4:		%{name}-libdir.patch
URL:		http://www.isdn4linux.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	ppp-plugin-devel
BuildRequires:	rpmbuild(macros) >= 1.145
BuildRequires:	tcl-devel >= 8.3.4-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		xincludedir	/usr/X11R6/include/X11
%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults
%define		ppp_ver		%(awk -F'"' '/VERSION/ { print $2 }' /usr/include/pppd/patchlevel.h 2>/dev/null || echo ERROR)

%description
Utilities for the kernel ISDN-subsystem and some contributions.

%description -l pl
Narzdzia dla podsystemu ISDN jdra.

%description -l pt_BR
Utilitrios para configurao do subsistema ISDN.

%package x11
Summary:	Utilities for the kernel ISDN-subsystem - frontend for X11
Summary(pl):	Narzdzia dla podsystemu ISDN jdra - nakladki dla X11
Group:		Applications/Communications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description x11
Utilities for the kernel ISDN-subsystem and some contributions (X11).

%description x11 -l pl
Narzdzia dla podsystemu ISDN jdra, nakadki graficzne (X11).

%package devel
Summary:	Developement files for isdn4k-tools
Summary(pl):	Pliki potrzebne do programowania z uyciem isdn4k-tools
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Developement files for isdn4k-tools.

%description devel -l pl
Pliki potrzebne do programowania z uyciem isdn4k-tools.

%package -n ppp-plugin-capi
Summary:	capiplugin for pppd-%{ppp_ver}
Summary(pl):	Wtyczka capi dla pppd w wersji %{ppp_ver}
Group:		Applications/Communications
%{requires_eq_to ppp ppp-plugin-devel}

%description -n ppp-plugin-capi
capiplugin for pppd-%{ppp_ver}.

%description -n ppp-plugin-capi -l pl
Wtyczka capi dla pppd w wersji %{ppp_ver}.

%package -n capi
Summary:	Program which can initialize CAPI hardware
Summary(pl):	Program, ktry inicjalizuje sprzt ISDN zgodny z CAPI
Group:		Applications/Communications

%description -n capi
The Common ISDN Application Programming Interface - CAPI for short -
opens up a new dimension in communication technologies. It provides a
uniform, independent interface to ISDN hardware components.

This package contains program which initialize your CAPI hardware. You
should install appropriate kernel module first and edit
/etc/capi.conf.

%description -n capi -l pl
Standard Common ISDN Application Programming Interface - w skrcie
CAPI - otwiera nowy wymiar w wiecie technologii komunikacyjnych.
Dostarcza ujednolicony, niezaleny interfejs do sprztu ISDN.

Ten pakiet zawiera program inicjalizujcy kart ISDN zgodn z CAPI.
Trzeba zaopatrzy si w odpowiedni modu jdra i wyedytowa plik
/etc/capi.conf.

%package -n capi-libs
Summary:	CAPI 2.0 - shared library
Summary(pl):	Biblioteka dzielona CAPI 2.0
Group:		Libraries

%description -n capi-libs
The Common ISDN Application Programming Interface (CAPI for short)
opens up a new dimension in communication technologies. It provides a
uniform, independent interface to ISDN hardware components.

This package contains shared library which provide CAPI 2.0.

%description -n capi-libs -l pl
Standard Common ISDN Application Programming Interface (w skrcie
CAPI) otwiera nowy wymiar w wiecie technologii komunikacyjnych.
Dostarcza ujednolicony, niezaleny interfejs do sprztu ISDN.

Ten pakiet zawiera bibliotek dzielon, ktra realizuje standard CAPI
w wersji 2.0.

%package -n capi-libs-static
Summary:	Static libraries for CAPI 2.0
Summary(pl):	Statyczne biblioteki dla CAPI 2.0
Group:		Development/Libraries
Requires:	capi-devel = %{epoch}:%{version}-%{release}

%description -n capi-libs-static
The Common ISDN Application Programming Interface (CAPI for short)
opens up a new dimension in communication technologies. It provides a
uniform, independent interface to ISDN hardware components.

This package contains static library which provide CAPI 2.0.

%description -n capi-libs-static -l pl
Standard Common ISDN Application Programming Interface (w skrcie
CAPI) otwiera nowy wymiar w wiecie technologii komunikacyjnych.
Dostarcza ujednolicony, niezaleny interfejs do sprztu ISDN.

Ten pakiet zawiera bibliotek statyczn, ktra realizuje standard CAPI
w wersji 2.0.

%package -n capi-devel
Summary:	CAPI 2.0 - development stuff
Summary(pl):	CAPI 2.0 - zasoby programistyczne
Group:		Development/Libraries
Requires:	capi-libs = %{epoch}:%{version}-%{release}

%description -n capi-devel
The Common ISDN Application Programming Interface (CAPI for short)
opens up a new dimension in communication technologies. It provides a
uniform, independent interface to ISDN hardware components.

This package contains developement files for CAPI 2.0.

%description -n capi-devel -l pl
Standard Common ISDN Application Programming Interface (w skrcie
CAPI) otwiera nowy wymiar w wiecie technologii komunikacyjnych.
Dostarcza ujednolicony, niezaleny interfejs do sprztu ISDN.

Ten pakiet zawiera pliki niezbdne przy tworzeniu programw
wykorzystujcych standard CAPI 2.0

%package -n capi-tools
Summary:	CAPI 2.0 - useful programs
Summary(pl):	CAPI 2.0 - programy uytkowe
Group:		Applications/Communications

%description -n capi-tools
The Common ISDN Application Programming Interface (CAPI for short)
opens up a new dimension in communication technologies. It provides a
uniform, independent interface to ISDN hardware components.

This package contains programs which can make use of your CAPI
compilant ISDN hardware

%description -n capi-tools -l pl
Standard Common ISDN Application Programming Interface (w skrcie
CAPI) otwiera nowy wymiar w wiecie technologii komunikacyjnych.
Dostarcza ujednolicony, niezaleny interfejs do sprztu ISDN.

Ten pakiet zawiera programy, ktre potrafi zrobi uytek ze
zgodnego z CAPI sprztu ISDN.

%prep
%setup -q -n %{name}
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
for i in capi20 capifax capiinfo capiinit rcapid; do
	cd $i
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%{__automake}
	cd ..
done

cp %{SOURCE1} .config
%{__make} subconfig \
	CONFIG_LIBDIR=%{_libdir} \
	OPTIM="%{rpmcflags}"\
	CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"

%{__make} \
	PPPVERSION=%{ppp_ver} \
	CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/var/lock/isdn,%{_datadir}/doc/%{name}-%{version}/faq}

%{__make} install \
	PPPVERSION=%{ppp_ver} \
	CONFIG_LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/doc/isdn4linux/faq/*.txt \
	$RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/faq
mv -f $RPM_BUILD_ROOT%{_datadir}/doc/isdn4linux/faq/*.html \
	$RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/faq
mv -f $RPM_BUILD_ROOT%{_datadir}/doc/vbox/*.txt \
	$RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n capi-libs -p /sbin/ldconfig
%postun	-n capi-libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README FAQ NEWS LEGAL.ipppcomp ipppcomp/README.LZS Mini-FAQ/*.txt
%doc isdnlog/{tools/dest/README*,isdnrep/CHANGES*}
%doc FAQ/{_howto,_example}
%dir %{_sysconfdir}/isdn
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/isdn/*
%attr(755,root,root) %{_bindir}/[!cx]*
%attr(755,root,root) %{_sbindir}/[!acr]*
%{_prefix}/lib/isdn
%dir /var/lock/isdn
%{_mandir}/man1/[!x]*
%{_mandir}/man[457]/*
%{_mandir}/man8/[!ac]*
%{_mandir}/man8/.isdnctrl_conf.8*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xisdnload
%attr(755,root,root) %{_bindir}/xmonisdn
%{_appdefsdir}/XISDNLoad
%{_mandir}/man1/xisdnload.1x*
%{_mandir}/man1/xmonisdn.1x*

%files devel
%defattr(644,root,root,755)
%{xincludedir}/bitmaps/*

%files -n capi-libs-static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files -n ppp-plugin-capi
%defattr(644,root,root,755)
%doc pppdcapiplugin/{README,examples/*,peers/*}
%attr(755,root,root) %{_libdir}/pppd/%{ppp_ver}/*
%{_mandir}/man8/capiplugin*

%files -n capi-libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files -n capi-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h

%files -n capi-tools
%defattr(644,root,root,755)
%doc rcapid/README
%attr(755,root,root) %{_sbindir}/[ar]*
%attr(755,root,root) %{_bindir}/capiinfo
%attr(755,root,root) %{_bindir}/capifax*
%{_mandir}/man8/avmcapi*
%{_mandir}/man8/capiinfo*

%files -n capi
%defattr(644,root,root,755)
%doc capiinit/capi.conf
%attr(755,root,root) %{_sbindir}/capiinit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: isdn4k-utils.spec,v $
Revision 1.47  2004/07/08 06:54:13  ankry
- fixed epoch i R:, rel. 4

Revision 1.46  2004/05/27 18:20:45  qboosh
- spacing

Revision 1.45  2004/05/23 13:06:28  qboosh
- use prefix/lib not libdir for isdn data; release 3

Revision 1.44  2004/05/23 12:27:10  qboosh
- workaround for broken macros on ac-src

Revision 1.43  2004/04/02 13:32:37  qboosh
- don't require ppp-plugin-devel on srcbuilder

Revision 1.42  2004/04/02 13:28:46  qboosh
- added libdir patch

Revision 1.41  2004/04/01 18:32:18  qboosh
- better ppp version detection (+take care of epoch in R)

Revision 1.40  2004/03/31 09:03:38  qboosh
- changed to not require ppp (ppp-plugin-devel is enough)
- strict internal deps, release 2

Revision 1.39  2004/01/11 11:55:29  radzio
- updated to 040111 (cvs snap)
- glibc-kernel-headres need to be fixed (see http://lists.pld-linux.org/index.cgi?19:mss:55736:200401:abcchjennkpkfengkeio)

Revision 1.38  2003/10/03 08:36:19  qboosh
- _appdefsdir macro name unification

Revision 1.37  2003/09/08 10:52:51  qboosh
- added capifax* to capi-tools, killed _xdirs

Revision 1.36  2003/09/08 09:29:44  qboosh
- cleanups

Revision 1.35  2003/09/06 16:06:56  blues
- one more BR

Revision 1.34  2003/09/06 16:04:55  blues
- BR not pppd, but /usr/sbin/pppd

Revision 1.33  2003/09/06 16:01:43  blues
- release 2

Revision 1.32  2003/08/18 08:08:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/06/27 13:10:46  mmazur
- mass commit; now req: name = epoch:version

Revision 1.30  2003/06/11 21:09:26  radzio
- updated to 030611 (cvs snap)

Revision 1.29  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/03/15 14:46:56  radzio
- updated isdn4k-utils to 030314 (cvs snapshot)
- prepared capi plugin for pppd (ppp-plugin-capi) to build with .h files from
  ppp-plugin-devel

Revision 1.27  2002/11/25 14:16:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/10/08 08:01:14  qboosh
- fixed typo, cosmetics; release 5

Revision 1.25  2002/10/07 17:51:41  kloczek
- spec adapterized and some cosmetics (also fixed some Group),
- changed package name with ppp capi plugin to ppp-plugin-capi,
- added missing %post/%postun with run ldconfig in capi-lib subpackage.

Revision 1.24  2002/10/07 16:52:30  radzio
Add few packages:
 * -n capi
 * -n capi-libs
 * -n capi-libs-static
 * -n capi-devel
 * -n capi-tools
 * -n ppp-capiplugin

This packages contains:
  libraries, development tools, programs, and plugin for ppp daemon
for CAPI 2.0 compilant ISDN hardware.
STBR

Revision 1.23  2002/10/06 21:03:34  radzio
I tried to build pppdcapiplugin but it not work. Help me!

Revision 1.22  2002/10/02 12:00:22  qboosh
- cosmetics, added lib*.so link to -devel; release 3

Revision 1.21  2002/10/02 05:54:33  marcus
- fixed %%doc

Revision 1.20  2002/09/30 00:57:27  kloczek
- merge translations from Conectiva and removed done TODO.

Revision 1.19  2002/09/29 23:50:32  marcus
- rel.2.

Revision 1.18  2002/09/29 23:38:47  marcus
- separate x11 subpackage

Revision 1.17  2002/08/25 13:24:44  marcus
- updated to 0208190200

Revision 1.16  2002/08/01 15:14:24  blues
- snapshot 0207290200
- separated devel and static subpackage
- rewritten, new doc, more docs, more BR
STBR

Revision 1.15  2002/04/25 16:37:47  arturs
fixed a small typo

Revision 1.14  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/26 23:26:04  radzio
update to isdn4k-utils-0112071200

Revision 1.11  2001/11/22 14:17:04  qboosh
- s/Copyright/License/
- removed using obsolete /usr/doc, gzip doc
- release 2

Revision 1.10  2001/09/19 14:45:49  ankry
- updated source URL
- changed version to 3.1pre1

Revision 1.9  2001/05/02 16:29:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2001/01/02 08:01:37  marcus
- typo

Revision 1.7  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.6  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.3  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.2  1999/07/17 12:41:14  kloczek
- partialy rewrited (NFY),
- added template %changelog header and using CVS keywords.
